/**
*Raid Manager App
* Defined an app for raid manage
*/
var RaidManagerApp = RaidManagerApp || {};  //Define Raid Manger App namespace.
/**
*Constructor UNAS App
*/
RaidManagerApp.App = function () {
    this.id = 'RAID Manager';
    this.name = 'RAID Manager';
    this.version = '6.0.26';
    this.active = false;
    this.menuIcon = '/apps/raidmanager/images/logo.png?v=6.0.26&';
    this.shortcutIcon = '/apps/raidmanager/images/logo.png?v=6.0.26&';
    this.entryUrl = '/apps/raidmanager/raidmanager.html?v=6.0.26&';
    //this.entryHelpUrl = '/apps/raidmanager/raidmanager_help.html?v=6.0.26&';
    var self = this;
    this.RaidManagerAppWindow = function () {
        if(UNAS.CheckAppState('RAID Manager')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'RaidManagerAppWindow',
            title: UNAS._('RAID Manager'),
            icon: '/apps/raidmanager/images/logo_small.png?v=6.0.26&',
            width: 880,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [550, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/raidmanager/raidmanager.html?v=6.0.26&',
            require: { css: ['/apps/raidmanager/css/raidmanager.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("RAID Manager",'RaidManagerAppWindow')}
        });
    };
    this.RaidManagerUninstall = function () {
        UNAS.RemoveDesktopShortcut('RAID Manager');
        UNAS.RemoveMenu('RAID Manager');
        UNAS.RemoveAppFromGroups('RAID Manager', 'ControlPanel');
        UNAS.RemoveAppFromGroups('RAID Manager', 'Help');
        UNAS.RemoveAppFromApps('RAID Manager');
    };
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'RAID Manager', '', this.RaidManagerAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'RAID Manager', this.RaidManagerAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('RAID Manager', UNAS._('RAID Manager'));
        //UNAS.SetShortcutTitle('RAID Manager', UNAS._('RAID Manager'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('RaidManagerAppWindow', UNAS._('RAID Manager'));
        }
    };
    UNAS.LoadTranslation('/apps/raidmanager/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.RaidManagerAppWindow, this.RaidManagerUninstall);
};

new RaidManagerApp.App(); //Create app
